# This is a plugin for slapd, and uses symbols (e.g. ch_{malloc|free}, overlay_register etc.
# provided by the slapd binary (objdump -T /usr/sbin/slapd)
%define _disable_ld_no_undefined 1

Name:       openldap-smbk5pwd
Version:    2.4.57
Release:    %mkrel 1
Summary:    OpenLDAP smbk5pwd overlay
License:    Artistic
Group: 		System/Servers
URL: 		https://www.openldap.org/
# the source is created as:
# tar cvjf openldap-smbk5pwd-2.4.24.tar.bz2 openldap-2.4.24/contrib/slapd-modules/smbk5pwd
Source0: 	openldap-smbk5pwd-%{version}.tar.bz2
Patch1:		openldap-smbk5pwd-libtool.patch
BuildRequires: heimdal-devel
BuildRequires: openldap-devel = %{version}
BuildRequires: libtool
Requires:   openldap-servers = %{version}

%description
This package contains a slapd overlay, smbk5pwd, that extends the
PasswordModify Extended Operation to update Kerberos keys and Samba
password hashes for an LDAP user.

Note that this package is built with Heimdal support, and requires a working
Heimdal KDC configuration. If you only need support for changing Samba password 
hashes, you can use the 'smbpwd.so' copy provided in openldap-servers (just use 
'moduleload smbpwd.so' instead of 'moduleload smbk5pwd.so) which is identical
except that it is built without Heimdal support.

%prep
%setup -q -n openldap-%{version}/contrib/slapd-modules/smbk5pwd
%autopatch -p1

%build
make \
    OPT="%{optflags} %{ldflags}" \
    LIBTOOL=%{_bindir}/libtool \
    HEIMDAL_LIB="-L%{_libdir} -L%{_libdir}/heimdal -lkrb5 -lkadm5srv" \
    LDAP_LIB="-lldap_r -llber" \
    LDAP_INC="-I%{_includedir}/openldap/include -I%{_includedir}/openldap/slapd"

%install
%make_install moduledir=%{_libdir}/openldap LIBTOOL=%{_bindir}/libtool

%files
%doc README
%{_libdir}/openldap/*


%changelog
* Tue Jan 19 2021 luigiwalser <luigiwalser> 2.4.57-1.mga8
+ Revision: 1672513
- 2.4.57

* Thu Dec 31 2020 luigiwalser <luigiwalser> 2.4.56-2.mga8
+ Revision: 1667242
- build without tcp_wrappers due to conflict libnsl/libtirpc/heimdal
+ neoclust <neoclust>
- Rebuild because of missing rpm in armv7

* Wed Nov 11 2020 luigiwalser <luigiwalser> 2.4.56-1.mga8
+ Revision: 1644445
- 2.4.56

* Tue Oct 27 2020 luigiwalser <luigiwalser> 2.4.55-1.mga8
+ Revision: 1639859
- 2.4.55

* Tue Oct 13 2020 luigiwalser <luigiwalser> 2.4.54-1.mga8
+ Revision: 1634827
- 2.4.54

* Tue Sep 08 2020 luigiwalser <luigiwalser> 2.4.53-1.mga8
+ Revision: 1623407
- 2.4.53

* Sat Aug 29 2020 luigiwalser <luigiwalser> 2.4.52-1.mga8
+ Revision: 1619623
- 2.4.52

* Wed Aug 12 2020 luigiwalser <luigiwalser> 2.4.51-1.mga8
+ Revision: 1613623
- 2.4.51

* Sun Aug 09 2020 wally <wally> 2.4.50-1.mga8
+ Revision: 1612107
- replace deprecated %%makeinstall_std
+ luigiwalser <luigiwalser>
- 2.4.50
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 luigiwalser <luigiwalser> 2.4.47-1.mga7
+ Revision: 1357026
- 2.4.47

* Sun Sep 23 2018 umeabot <umeabot> 2.4.46-2.mga7
+ Revision: 1300022
- Mageia 7 Mass Rebuild

* Wed May 16 2018 buchan <buchan> 2.4.46-1.mga7
+ Revision: 1229882
- Update to 2.4.46
- Fix build (cannot use --no-undefined)
- Update to 2.4.28
- imported package openldap-smbk5pwd


* Wed Aug 24 2011 Buchan Milne <bgmilne@mandriva.org> 2.4.26-1mdv2012.0
+ Revision: 696450
- Update to be in sync with openldap package

* Wed May 04 2011 Buchan Milne <bgmilne@mandriva.org> 2.4.25-1
+ Revision: 666194
- New version 2.4.25

* Thu Mar 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.24-1
+ Revision: 648310
- new version
- enforce strict version dependency with main package

* Wed Feb 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.22-1
+ Revision: 635367
- sync with 2.4.22 release

  + Buchan Milne <bgmilne@mandriva.org>
    - Some changes to make backporting work

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.21-4mdv2011.0
+ Revision: 613537
- rebuild

  + Buchan Milne <bgmilne@mandriva.org>
    - Improve description to cover the availability of smbpwd.so in main package, for
     users who only need samba support (mdv#59675)

* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 2.4.21-3mdv2010.1
+ Revision: 535262
- rebuild

* Fri Mar 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.4.21-2mdv2010.1
+ Revision: 527729
- Rebuild

* Sat Jan 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.21-1mdv2010.1
+ Revision: 488119
- sync with main package

* Tue Oct 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.19-1mdv2010.0
+ Revision: 455176
- new version

* Mon Sep 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.17-2mdv2010.0
+ Revision: 450712
- fix linking

* Sun Jul 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.17-1mdv2010.0
+ Revision: 397950
- new version
- drop heimdal linking patch, merged upstream
- new version

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.13-2mdv2009.1
+ Revision: 332764
- use native source directly, so as to not disable kerberos support inadvertantly

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.13-1mdv2009.1
+ Revision: 326212
- update to code from latest openldap release
- drop patches 1 and 2 (merged)

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-5mdv2009.1
+ Revision: 300799
- Fix for ITS #5766 smbkrb5 overlay doesn't honour kerberos principal expiration

* Thu Sep 04 2008 Buchan Milne <bgmilne@mandriva.org> 2.4.8-4mdv2009.0
+ Revision: 280806
- Rebuild for Heimdal 1.2

* Wed Jun 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-3mdv2009.0
+ Revision: 229066
- fix password-termination issue (openldap ITS#5575)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-2mdv2009.0
+ Revision: 212786
- fix usage of heimdal private functions

* Sun Mar 23 2008 Buchan Milne <bgmilne@mandriva.org> 2.4.8-1mdv2008.1
+ Revision: 189695
- import openldap-smbk5pwd


